<!-- targa veicolo -->
{% macro targa(intestazione="a carico del seguente veicolo", mandatory_enabled="true", numero_targa="2", onceonly="true", visibility_intestazione="visibility:visibility") -%}
<div class="container border bg-light">
  <div class="form-row">
    {% if visibility_intestazione == 'visibility:visibility' %}
    <div class="col-lg-12">
      <span class="title"> {{ intestazione|safe }} </span>
    </div>
    {% endif %}
    {% for i in range(1, numero_targa|int) %}
    {% if loop.first %}
    <div class="form-group col-lg-4">
    <label for="Parametri_VeicoloTarga"> Targa </label>
      <input class="form-control" id="Parametri_VeicoloTarga" name="Parametri_VeicoloTarga" label="Targa" onceonly="{{ onceonly }}" format="alphanumeric" mandatory_enabled="{{ mandatory_enabled }}" type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-4">
    <label for="Parametri_VeicoloModello"> Modello </label>
      <input class="form-control" id="Parametri_VeicoloModello" name="Parametri_VeicoloModello" label="Modello" onceonly="{{ onceonly }}" mandatory_enabled="{{ mandatory_enabled }}" type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-4">
    <label for="Parametri_VeicoloMarca"> Marca </label>
      <input class="form-control" id="Parametri_VeicoloMarca" name="Parametri_VeicoloMarca" label="Marca" onceonly="{{ onceonly }}" mandatory_enabled="{{ mandatory_enabled }}" type="text" autocomplete="off" />
    </div>
    {% else %}
    <div class="form-group col-lg-4">
      <input class="form-control" id="Parametri_VeicoloTarga{{ i-1 }}" name="Parametri_VeicoloTarga{{ i-1 }}" label="Targa" onceonly="{{ onceonly }}" format="alphanumeric" {% if i==2 %} enabled="#Parametri_VeicoloTarga.value() != ''" {% else %} enabled="#Parametri_VeicoloTarga{{ i-2 }}.value() != ''" {% endif %} type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-4">
      <input class="form-control" id="Parametri_VeicoloModello{{ i-1 }}" name="Parametri_VeicoloModello{{ i-1 }}" label="Modello" onceonly="{{ onceonly }}" mandatory_enabled="#Parametri_VeicoloTarga{{ i-1 }}.value() != ''" type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-4">
      <input class="form-control" id="Parametri_VeicoloMarca{{ i-1 }}" name="Parametri_VeicoloMarca{{ i-1 }}" label="Marca" onceonly="{{ onceonly }}" mandatory_enabled="#Parametri_VeicoloTarga{{ i-1 }}.value() != ''" type="text" autocomplete="off" />
    </div>
    {% endif %}
    {% endfor %}
  </div>
</div>
{%- endmacro %}


<!-- contrassegno disabili -->
{% macro contrassegno_disabili(intestazione="titolare di contrassegno disabili", mandatory_enabled="true", visibility_check="false", onceonly="true", dynamic_check="", enabled="true", prefix="Parametri", visibility_intestazione="visibility:visibility", visibility_container="visibility:visibility") -%}
{% if visibility_container == 'visibility:visibility' or visibility_container == 'true' %}
<div class="container border bg-light">
{% endif %}
  {% if visibility_check == 'true' or visibility_check == 'visibility:visibility' %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="{{ prefix }}_Contrassegno" name="{{ prefix }}_Contrassegno" type="checkbox" value="SI" {% if dynamic_check == 'true' %} dynamic_check="true" checked="checked" {% else %} dynamic_check="{{ dynamic_check }}" enabled="{{ enabled }}" {% endif %} >
    <label class="form-check-label title" for="{{ prefix }}_Contrassegno"> {{ intestazione|safe }} </label>
  </div>
  {% else %}
  {% if visibility_intestazione == 'visibility:visibility' %}
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> {{ intestazione|safe }} </span>
    </div>
  </div>
  {% endif %}
  {% endif %}
  <div class="form-row" {% if visibility_check == 'false' %} mandatory_enabled="{{ mandatory_enabled }}" {% else %} mandatory_enabled="#{{ prefix }}_Contrassegno.checked()" {% endif %}>
    <div class="form-group col-lg-2">
      <label for="{{ prefix }}_Contrassegno_Numero"> Numero contrassegno </label>
      <input class="form-control" id="{{ prefix }}_Contrassegno_Numero" name="{{ prefix }}_Contrassegno_Numero" label="Numero contrassegno" onceonly="{{ onceonly }}" type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-2">
      <label for="{{ prefix }}_Contrassegno_Data"> Data rilascio  </label>
      <input class="form-control" id="{{ prefix }}_Contrassegno_Data" name="{{ prefix }}_Contrassegno_Data" label="Data rilascio contrassegno" format="date" onceonly="{{ onceonly }}" type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-2">
      <label for="{{ prefix }}_Contrassegno_DataScadenza"> Data scadenza </label>
      <input class="form-control" id="{{ prefix }}_Contrassegno_DataScadenza" name="{{ prefix }}_Contrassegno_DataScadenza" label="Data scadenza contrassegno" format="date" onceonly="{{ onceonly }}" type="text" autocomplete="off" />
    </div>
    <div class="form-group col-lg-6">
      <label for="{{ prefix }}_Contrassegno_Ente"> Ente di riferimento </label>
      <input class="form-control" id="{{ prefix }}_Contrassegno_Ente" name="{{ prefix }}_Contrassegno_Ente" label="Ente di riferimento contrassegno" onceonly="{{ onceonly }}" type="text" autocomplete="off" />
    </div>
  </div>
{% if visibility_container == 'visibility:visibility' %}
</div>
{% endif %}
{%- endmacro %}